coupang
PUT/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/prices/{price}

Changing price of each item of a product

# 01

Summary

Available buyer market: Korea, Taiwan Changes selling price of each item of a product. This feature can be used when option ID(vendoritemID) is issued after sales request is approved. As forceSalePriceUpdate=true, it is possible to change the price without limit in the rate of price change.

# 02

Details

Available buyer market: Korea, Taiwan
Changes selling price of each item of a product. This feature can be used when option ID(vendoritemID) is issued after sales request is approved. 
As forceSalePriceUpdate=true, it is possible to change the price without limit in the rate of price change.

Path

PUT

/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/prices/{price}

Example Endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/3572784698/prices/49000?forceSalePriceUpdate=true

Request Parameters

Path Segment Parameter

Name Type Description
vendorItemId* Number
Option ID
It is a unique number given to a vendor item.
price* Number 
Price
Min unit of input is 10 won. (Not allowed to enter in 1 won unit)

Query String Parameter

Name Type Description
forceSalePriceUpdate Boolean
If there is a limit in the percentage of price change
false(default value) or true (No limit in price change)
To prevent input error, we limit the price change against the existing price. 
It is possible to process price change adding  forceSalePriceUpdate=true .
apMinSalePrice Number Min price of auto pricing. Must be less than path {price}
apActive Boolean Whether auto pricing is enabled (true/false)

Request Example

not require body

Response Message

Name Type Description
code Result code
SUCCESS/ERROR
message String
Result message

Response Example

{
  "code": "SUCCESS",
  "message": "Completed price change.",
  "data": null
}

Error Spec

HTTP status code (Error type) Error message Solution
400 (Check request parameter) Failed to change the price. [OptionID[3572***698] : Cannot change the selling price. You can change the price within the range of decreasing 50% and increasing 100% from the existing selling price.] Check if the price is in the range of price change. You can change the price exceeding the range by adding forceSalePriceUpdate=true.
400 (Check request parameter) You cannot directly modify price of the auto-generated option. You can change the price by changing price of the based seller option. If you change the price of the seller option, which is the basis for the auto-generated option, the price of the auto-generated option will be changed by multiple of the quantity. If you have already modified the price of the auto-generated option directly before, you cannot change it by changing the seller option price. you must change it directly on WING.
400 (Check request parameter) Failed to change the price. [OptionID[5133***569] : It is not possible to change the price of deleted product.] Check if opntionID(vendorItemId) is deleted.
400 (Check request parameter) Failed to change the price. [OptionID[4685***739]: You can enter price in 10 won unit. (Not allowed to enter by 1 won unit)] Check if correct price is entered. You can enter at least by 10 won unit. (1 won unit is not allowed) 
400 (Check request parameter)  Invalid ID. Check if correct optionID(vendorItemId)  is entered.
400 (Check request parameter)  apMinSalePrice must be less than price Set apMinSalePrice lower than path {price}
400 (Check request parameter)  apMinSalePrice and apActive must be provided together Pass apMinSalePrice and apActive together

URL API Name

UPDATE_PRODUCT_PRICE_BY_ITEM